5.3.0-git
2014-11-21

[#7249] "My email adresses" and "Addresses to not send responses to" fields are not checked for valid email address
Summary "My email adresses" and "Addresses to not send responses to" fields are not checked for valid email address
Queue Ingo
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester yann (at) pleiades (dot) fr (dot) eu (dot) org
Created 2008-08-28 (2276 days ago)
Due
Updated 2013-12-17 (339 days ago)
Assigned 2008-09-23 (2250 days ago)
Resolved 2013-11-01 (385 days ago)
Milestone
Patch Yes

History
2013-12-17 11:17:14 Git Commit Comment #13 Reply to this comment
Changes have been made in Git (master):

commit c3eedc5d53c1dc6d30b39d568fb9a40c388420f4
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Oct 31 21:25:22 2013 -0600

     [mms] Validate e-mail addresses ion the forward and vacation 
pages (Request #7249).

  ingo/docs/CHANGES                |    2 +
  ingo/lib/Basic/Forward.php       |    8 ++++-
  ingo/lib/Basic/Vacation.php      |    5 ++-
  ingo/lib/Form/Forward.php        |    2 +-
  ingo/lib/Form/Type/Longemail.php |   68 
++++++++++++++++++++++++++++++++++++++
  ingo/lib/Form/Vacation.php       |    6 ++--
  ingo/lib/Ui/VarRenderer/Ingo.php |   13 +++++++
  ingo/package.xml                 |   11 ++++--
  8 files changed, 106 insertions(+), 9 deletions(-)

http://git.horde.org/horde-git/-/commit/c3eedc5d53c1dc6d30b39d568fb9a40c388420f4
2013-11-01 03:26:29 Michael Slusarz Comment #12
Version ⇒ Git master
State ⇒ Resolved
Taken from Horde DevelopersHorde Developers
Assigned to Michael Slusarz
Reply to this comment
Ingo 3.2.


commit c3eedc5d53c1dc6d30b39d568fb9a40c388420f4
Author: Michael M Slusarz <slusarz at horde.org>
Date:   Thu Oct 31 21:25:22 2013 -0600

     [mms] Validate e-mail addresses ion the forward and vacation 
pages (Request #7249).

  ingo/docs/CHANGES                |    2 +
  ingo/lib/Basic/Forward.php       |    8 ++++-
  ingo/lib/Basic/Vacation.php      |    5 ++-
  ingo/lib/Form/Forward.php        |    2 +-
  ingo/lib/Form/Type/Longemail.php |   68 
++++++++++++++++++++++++++++++++++++++
  ingo/lib/Form/Vacation.php       |    6 ++--
  ingo/lib/Ui/VarRenderer/Ingo.php |   13 +++++++
  ingo/package.xml                 |   11 ++++--
  8 files changed, 106 insertions(+), 9 deletions(-)
  create mode 100644 ingo/lib/Form/Type/Longemail.php

http://github.com/horde/horde/commit/c3eedc5d53c1dc6d30b39d568fb9a40c388420f4
http://git.horde.org/horde-git/-/commit/c3eedc5d53c1dc6d30b39d568fb9a40c388420f4
2009-08-02 13:33:29 Michael Rubinsky Comment #11 Reply to this comment
Is this ticket still slated for a FRAMEWORK_3 version or should it be 
moved to Git queue?
2008-09-23 10:27:39 Jan Schneider Priority ⇒ 2. Medium
 
2008-09-23 10:27:09 Jan Schneider Patch ⇒ Yes
State ⇒ Assigned
 
2008-09-23 10:26:55 Jan Schneider Deleted Attachment: horde_form_type_longemail_for_ingo_v2.patch
 
2008-09-23 10:21:01 yann (at) pleiades (dot) fr (dot) eu (dot) org Comment #10
New Attachment: horde_form_type_longemail_for_ingo_v3.patch Download
Reply to this comment
My mistake, here is the good updated patch.
2008-09-22 16:59:59 Jan Schneider Priority ⇒ 1. Low
State ⇒ Feedback
Type ⇒ Enhancement
 
2008-09-22 16:59:37 Jan Schneider Comment #9
State ⇒ Feedback
Reply to this comment
I hope I didn't delete the wrong patch accidentally, but the latest 
version does not contain the actual code for the 
Horde_Form_Type_longemail class.
2008-09-22 16:56:58 Jan Schneider Deleted Attachment: horde_form_type_longemail_for_ingo.patch
 
2008-09-22 16:56:46 Jan Schneider Deleted Attachment: horde_form_type_longemail.patch
 
2008-09-11 09:46:45 yann (at) pleiades (dot) fr (dot) eu (dot) org Comment #8
New Attachment: horde_form_type_longemail_for_ingo_v2.patch
Reply to this comment
I updated the patch to fix a little mistake and also to use the new 
longemail form type also for the "Address(es) to forward to" field for 
transfert.
2008-09-01 12:28:43 Jan Schneider Comment #7
Patch ⇒ Yes
Priority ⇒ 2. Medium
State ⇒ Assigned
Assigned to Horde DevelopersHorde Developers
Reply to this comment
I think that's fine.
2008-09-01 12:21:49 yann (at) pleiades (dot) fr (dot) eu (dot) org Comment #6
New Attachment: horde_form_type_longemail_for_ingo.patch
Reply to this comment
Ok, I understand.



I modified my patch so the longemail type is defined only in ingo.



Note that this patch still considers an address without the domain 
part to be invalid.

Is this behavior ok ?
2008-08-31 17:00:23 Jan Schneider Comment #5 Reply to this comment
Any Ingo 1.x version has to be compatible to any Horde 3.x version. So 
you can't simply add a feature to Horde and use it an application like 
Ingo without breaking that backward compatibility.
2008-08-30 09:55:53 yann (at) pleiades (dot) fr (dot) eu (dot) org Comment #4 Reply to this comment
I didn't understand how the new type breaks comptability or how adding 
the new type in Ingo only solves the problem. Could you explain me so 
I can improve the patch ?
2008-08-30 09:01:40 Jan Schneider Comment #3
Patch ⇒ No
State ⇒ Feedback
Reply to this comment
This breaks backward compatibility. Either you have to check the 
validity outside of the form validation, or you have add the new form 
field type to Ingo only.
2008-08-28 14:23:09 yann (at) pleiades (dot) fr (dot) eu (dot) org Comment #2
New Attachment: horde_form_type_longemail.patch
Reply to this comment
I propose a possible solution for that bug with the attached patch.



I created a Horde_Form_Type_longemail class extended from 
Horde_Form_Type_longtext, which in addition checks the validity of the 
given emails.



What do you think about this solution ?





You will notice that the longemail type also checks if the email 
address have a @domain part, I am not sure if this should be done here.

sieve doesn't like address without domain, it complains with the 
following error:

    script errors: line 8: address 'test': parse error, unexpected $, 
expecting '@'



but that might be solved differently by adding the default domain to 
unqualified address before sending them to the sieve driver.


2008-08-28 13:59:01 yann (at) pleiades (dot) fr (dot) eu (dot) org Comment #1
State ⇒ Unconfirmed
Patch ⇒ Yes
Milestone ⇒
Queue ⇒ Ingo
Summary ⇒ "My email adresses" and "Addresses to not send responses to" fields are not checked for valid email address
Type ⇒ Bug
Priority ⇒ 1. Low
Reply to this comment
When using ingo to setup a vacation message, the email adresses enter 
in the "My email adresses" and "Addresses to not send responses to" 
are not checked for validity.



This can cause a problem with the rules driver, for example sieve will 
return an error message is the email address is not rfc 822 compliant.